%define name gettext
%define version 0.10.35
%define prefix %{_prefix}
%define release 16mdk

Name: %{name}
Summary: GNU libraries and utilities for producing multi-lingual messages.
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Libraries
Source: ftp://alpha.gnu.org/pub/gnu/gettext-0.10.35.tar.bz2
URL: http://www.gnu.org/software/gettext/
Patch0: gettext-0.10-misc.patch.bz2
Patch1: gettext-0.10.35-jbj.patch.bz2
Patch2: gettext-0.10.35-arm.patch.bz2
Patch3: gettext-0.10.35-hacks.patch.bz2
Patch4: gettext-fix-gettextize.patch.bz2
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: gettext

%description
The GNU gettext package provides a set of tools and documentation for producing
multi-lingual messages in programs. Tools include a set of conventions about
how programs should be written to support message catalogs, a directory and
file naming organization for the message catalogs, a runtime library which
supports the retrieval of translated messages, and stand-alone programs for
handling the translatable and the already translated strings. Gettext provides
an easy to use library and tools for creating, using, and modifying natural
language catalogs and is a powerful and simple method for internationalizing
programs.

If you would like to internationalize or incorporate multi-lingual messages
into programs that you're developing, you should install gettext.

%package devel
Summary: GNU libraries and utilities for producing multi-lingual messages.
Group: Development/Other
Obsoletes: gettext-devel

%description devel
Header files, used when the libc does not provide code of handling
multi-lingual messages.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n gettext-%{version}
#%patch0 -p1 -b .misc
%patch1 -p1 -b .jbj
%patch2 -p1 -b .arm
%patch3 -p1
%patch4 -p0

%build
aclocal
autoconf
%configure --enable-shared --with-included-gettext
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall lispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp gettextsrcdir=$RPM_BUILD_ROOT%{_datadir}/gettext/intl
rm -f $RPM_BUILD_ROOT%{_includedir}/libintl.h

%find_lang gettext

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info gettext.info

%preun
%_remove_install_info gettext.info

%files -f gettext.lang
%defattr(-,root,root)
%{_bindir}/*
%{_infodir}/gettext*
%{_datadir}/aclocal/*
%{_datadir}/emacs/site-lisp/*

%files devel
%defattr(-,root,root)
%{_datadir}/gettext

%changelog
* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-16mdk
- automatically added packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-15mdk
- bugfixed gettextize when headers are not there
  thanks to <rchaillat@mandrakesoft.com>

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-14mdk
- macros

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.35-13mdk
- quick patch to have it work!

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 0.10.35-12mdk
- added devel package

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.10.35-11mdk
- fixed groups
- Removed version number from spec filename
- spec-helper

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/arch-RedHat/arch-Mandrake/
- msghack updates.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
